com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetColumns_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetColumns_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetColumns_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetColumns_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetColumns_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetColumns_Metadata
    extends Enum<MetadataAPIHelper.GetColumns_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetColumns_Metadata>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BUFFER_LENGTH`
`CHAR_OCTET_LENGTH`
`COLLATION`
`COLUMN_DEF`
`COLUMN_NAME`
`COLUMN_SIZE`
`DATA_TYPE`
`DECIMAL_DIGITS`
`DIST_KEY`
`ENCODING`
`IS_AUTOINCREMENT`
`IS_GENERATEDCOLUMN`
`IS_NULLABLE`
`NULLABLE`
`NUM_PREC_RADIX`
`ORDINAL_POSITION`
`REMARKS`
`SCOPE_CATALOG`
`SCOPE_SCHEMA`
`SCOPE_TABLE`
`SORT_KEY`
`SORT_KEY_TYPE`
`SOURCE_DATA_TYPE`
`SQL_DATA_TYPE`
`SQL_DATETIME_SUB`
`TABLE_CAT`
`TABLE_NAME`
`TABLE_SCHEM`
`TYPE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetColumns_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetColumns_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TABLE_CAT

    public static final MetadataAPIHelper.GetColumns_Metadata TABLE_CAT

#### TABLE_SCHEM

    public static final MetadataAPIHelper.GetColumns_Metadata TABLE_SCHEM

#### TABLE_NAME

    public static final MetadataAPIHelper.GetColumns_Metadata TABLE_NAME

#### COLUMN_NAME

    public static final MetadataAPIHelper.GetColumns_Metadata COLUMN_NAME

#### DATA_TYPE

    public static final MetadataAPIHelper.GetColumns_Metadata DATA_TYPE

#### TYPE_NAME

    public static final MetadataAPIHelper.GetColumns_Metadata TYPE_NAME

#### COLUMN_SIZE

    public static final MetadataAPIHelper.GetColumns_Metadata COLUMN_SIZE

#### BUFFER_LENGTH

    public static final MetadataAPIHelper.GetColumns_Metadata BUFFER_LENGTH

#### DECIMAL_DIGITS

    public static final MetadataAPIHelper.GetColumns_Metadata DECIMAL_DIGITS

#### NUM_PREC_RADIX

    public static final MetadataAPIHelper.GetColumns_Metadata NUM_PREC_RADIX

#### NULLABLE

    public static final MetadataAPIHelper.GetColumns_Metadata NULLABLE

#### REMARKS

    public static final MetadataAPIHelper.GetColumns_Metadata REMARKS

#### COLUMN_DEF

    public static final MetadataAPIHelper.GetColumns_Metadata COLUMN_DEF

#### SQL_DATA_TYPE

    public static final MetadataAPIHelper.GetColumns_Metadata SQL_DATA_TYPE

#### SQL_DATETIME_SUB

    public static final MetadataAPIHelper.GetColumns_Metadata SQL_DATETIME_SUB

#### CHAR_OCTET_LENGTH

    public static final MetadataAPIHelper.GetColumns_Metadata CHAR_OCTET_LENGTH

#### ORDINAL_POSITION

    public static final MetadataAPIHelper.GetColumns_Metadata ORDINAL_POSITION

#### IS_NULLABLE

    public static final MetadataAPIHelper.GetColumns_Metadata IS_NULLABLE

#### SCOPE_CATALOG

    public static final MetadataAPIHelper.GetColumns_Metadata SCOPE_CATALOG

#### SCOPE_SCHEMA

    public static final MetadataAPIHelper.GetColumns_Metadata SCOPE_SCHEMA

#### SCOPE_TABLE

    public static final MetadataAPIHelper.GetColumns_Metadata SCOPE_TABLE

#### SOURCE_DATA_TYPE

    public static final MetadataAPIHelper.GetColumns_Metadata SOURCE_DATA_TYPE

#### IS_AUTOINCREMENT

    public static final MetadataAPIHelper.GetColumns_Metadata IS_AUTOINCREMENT

#### IS_GENERATEDCOLUMN

    public static final MetadataAPIHelper.GetColumns_Metadata IS_GENERATEDCOLUMN

#### SORT_KEY_TYPE

    public static final MetadataAPIHelper.GetColumns_Metadata SORT_KEY_TYPE

#### SORT_KEY

    public static final MetadataAPIHelper.GetColumns_Metadata SORT_KEY

#### DIST_KEY

    public static final MetadataAPIHelper.GetColumns_Metadata DIST_KEY

#### ENCODING

    public static final MetadataAPIHelper.GetColumns_Metadata ENCODING

#### COLLATION

    public static final MetadataAPIHelper.GetColumns_Metadata COLLATION

### Method Detail

#### values

    public static MetadataAPIHelper.GetColumns_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetColumns_Metadata c : MetadataAPIHelper.GetColumns_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetColumns_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetColumns_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetColumns_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetColumns_Metadata>`